Cannot install the 19.10 weather applet

There is only one think between me and upgrade to 19.10 from 19.04 - the weather applet doesn’t work. Every try from “budgie applets” is finished by “failed”.
Besides - just perfect and very thanks for you guys for your work!

Do check you dont have any errors or warnings when you run the following:

sudo apt update && sudo apt upgrade

Then try again to install the weather applet.

Thanks for you quick answer.

  Yes, I did too as well but with no success. Update and upgrade

change nothing.

  It is possible because I ran it on Virtualbox?

just run:

budgie-applets --debug

then install the weather applet

copy and paste the output you see in the terminal to paste.ubuntu.com

I sent to paste.ubuntu.com my output.

  FYI:

  krzysztof@budgie1910:~$ budgie-applets --debug

  [Debug] Opening page: budgie-applets.html

  [Debug] Running in debugging mode.

  [Welcome] Using

/snap/ubuntu-budgie-welcome/145/usr/share/budgie-welcome/ path.

  [Welcome] Using

/snap/ubuntu-budgie-welcome/145/usr/share/budgie-welcome/ path.

  [i18n] Locale Not Available: null (using en_US instead)

  [Welcome] Using

/snap/ubuntu-budgie-welcome/145/usr/share/budgie-welcome/ path.

  [i18n] Locale Not Available: null (using en_US instead)

  [i18n] All translated i18n pages found.

  [i18n] res_dir: 

  [i18n] Using locale for gettext: null

  [i18n] Using path for gettext: /usr/share/locale/

  [i18n] Translation found for gettext.

  [Network Test] Establishing a connection test to

[Specs] Detecting graphics vendor… [Specs] Detected: InnoTek Systemberatung GmbH VirtualBox Graphics
Adapter [Welcome] Using
/snap/ubuntu-budgie-welcome/145/usr/share/budgie-welcome/ path. [i18n] Locale Not Available: null (using en_US instead) [Welcome] Successfully pinged: deb eoan
main
/snap/ubuntu-budgie-welcome/145/usr/lib/budgie-welcome/budgie-welcome-privileged-actions:193:
DeprecationWarning: dist() and linux_distribution() functions are
deprecated in Python 3.5
release_code = platform.dist()[2] # → xenial, yakkety, zesty
/snap/ubuntu-budgie-welcome/145/usr/lib/budgie-welcome/budgie-welcome-privileged-actions:84:
DeprecationWarning: dist() and linux_distribution() functions are
deprecated in Python 3.5
release_code = platform.dist()[2] # → xenial, yakkety, zesty
deb eoan
main
Czytanie list pakietów… Gotowe
Budowanie drzewa zależności Odczyt informacji o stanie… Gotowe
E: Nie udało się odnaleźć pakietu budgie-weather-applet
[Apt] Reloading cache… [Apt] Cache reloaded. My language is polish, so the line after E means is the package
could not have been found

Ah - understood - yeah - “Weather Applet” should not have been visible on the screen. The correct applet is “Weather and Forecast Applet”.

We’ll get a fix out asap to hide the “Weather Applet”

Yes, but you should notice that “Weather and
Forecast Applet” show only an icon on the panel of the top,
without temperature like for example 13 C and icon of the moon
which I have right now with “Weather Applet” (look on my screen,
please).

  There is no chance to keep "Weather Applet" in 19.10?

You mean this? That is weather and forecast applet. Make sure you have “Show dynamic panel icon” ticked.

Ok, everything is perfectly clear now. My
mistake.

  Thank you very much, especially for "show dynamic panel icon" :)

  Generally thank you for you support.

  All the best for you and for your team, Ubuntu Budgie is simply

the best.

  K
1 Like